osmo_sockaddr Struct Reference
Socket convenience functions

`#include <socket.h>`

## Data Fields

union {
struct sockaddr sa
struct sockaddr_storage sas
struct sockaddr_in sin
struct sockaddr_in6 sin6
} | u

## Field Documentation

## sa

struct sockaddr osmo_sockaddr::sa

Referenced by osmo_sock_init_osa(), osmo_sockaddr_cmp(), osmo_sockaddr_ntop(), osmo_sockaddr_port(), osmo_sockaddr_to_str_buf(), and socket_helper_osa().

## sas

struct sockaddr_storage osmo_sockaddr::sas

## sin

struct sockaddr_in osmo_sockaddr::sin

Referenced by osmo_sockaddr_cmp(), osmo_sockaddr_ntop(), and osmo_sockaddr_port().

## sin6

struct sockaddr_in6 osmo_sockaddr::sin6

Referenced by osmo_sockaddr_cmp(), osmo_sockaddr_ntop(), and osmo_sockaddr_port().

##

union { ... } osmo_sockaddr::u

Referenced by osmo_sock_init_osa(), osmo_sockaddr_cmp(), osmo_sockaddr_ntop(), osmo_sockaddr_port(), osmo_sockaddr_to_str_buf(), and socket_helper_osa().

The documentation for this struct was generated from the following file:

- include/osmocom/core/socket.h